Http proxy not working after update


#1

I use shadowsocks as system level proxy.
It used to work fine.
But broke just after a Brave update.

error message:

A connection attempt timed out.
https://twitter.com/

Safari still works fine, so it must be Brave. And when I switched the proxy mode to socks5, the connection restored.


Current Version

Brave: 0.20.29
V8: 6.4.388.40
rev: 4fc3c8ff3bcb6af75088b125e00d3a70382b9bec
Muon: 4.7.9
OS Release: 16.6.0
Update Channel: Release
OS Architecture: x64
OS Platform: macOS
Node.js: 7.9.0
Brave Sync: v1.4.2
libchromiumcontent: 64.0.3282.119


#2

Same issue on Windows platform.

When i use explicite proxy in Internet Explorer it’s working but if i use an auto configuration proxy (proxy.pac) it’s not work anymore.

Brave: 0.20.29
V8: 6.4.388.40
rev: 4fc3c8ff3bcb6af75088b125e00d3a70382b9bec
Muon: 4.7.9
OS Release: 6.1.7601
Update Channel: Release
OS Architecture: x64
OS Platform: Microsoft Windows
Node.js: 7.9.0
Brave Sync: v1.4.2
libchromiumcontent: 64.0.3282.119


#3

Ditto on macOS in corporate environment with auto proxy discovery and configuration options set. I had lots of tabs open when Brave asked me to upgrade. After upgrade to 0.20.29, all tabs failed to load.

I looked into preferences to see if there’s any new settings, and wound up restarting the browser. What’s worse now is that Brave restored all open tabs as “about:error” and so I’ve lost all my tabs.


#4

Same problem here on MacOS 10.11.6. All sites unresolved, unable to access the proxy. Issue started on version 0.20.30. Uninstalled Brave, reinstalled version 0.15.310 and everything works again. The next time Brave updated to the latest version, back to same proxy issue. Safari and Firefox still work fine. I want to use Brave, but I can’t with this version.


#5

Hello all,

We have an issue logged https://github.com/brave/browser-laptop/issues/12959

Thanks,
Lauren


#6

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.